فا

‫ آسيب پذيري بارگذاري فايل دلخواه در پلاگين Rent-A-Car در وردپرس

IRCAD2011091431
شماره:IRCAD2011091431
تاريخ انتشار: 21-09-2011
ميزان حساسيت: بسيار مهم
نرم افزارهاي تحت تاثير:
WordPress Rent-A-Car Plugin 1.x
توضيح:
يك آسيب پذيري در پلاگين Rent-A-Car براي وردپرس كشف شده است كه مي­تواند توسط افراد خرابكار مورد سوء استفاده قرار گيرد تا كنترل يك سيستم آسيب پذير را در اختيار بگيرند.
ورودي ارسال شده از طريق پارامتر src در wp-content/plugins/rent-a-car/libs/timthumb.php پيش از استفاده در فايل­هاي cache شده به خوبي مورد ارزيابي قرار نمي­گيرد. اين مساله مي­تواند براي بارگذاري و اجراي فايل­هاي PHP دلخواه مورد سوء استفاده قرار گيرد.
اين آسيب پذيري در نسخه 1.0 تاييد شده است. ساير نسخه ها نيز ممكن است تحت تاثير اين آسيب پذيري قرار داشته باشند.
راهكار:
كد منبع را طوري ويرايش كنيد كه مطمئن شويد ورودي به خوبي ارزيابي مي­گردد.
منابع:

نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

نوشته

 
تاریخ ایجاد: 25 بهمن 1390

امتیاز

امتیاز شما
تعداد امتیازها: 0